Skip to main content
DELETE
/
quickbooks-desktop
/
deposits
/
{id}
JavaScript
import Conductor from 'conductor-node';

const conductor = new Conductor({
  apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});

const deposit = await conductor.qbd.deposits.delete('123ABC-1234567890', {
  conductorEndUserId: 'end_usr_1234567abcdefg',
});

console.log(deposit.id);
{
  "id": "123ABC-1234567890",
  "objectType": "qbd_deposit",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.conductor.is/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Path Parameters

id
string
required

The QuickBooks-assigned unique identifier of the deposit to delete.

Example:

"123ABC-1234567890"

Response

200 - application/json

Returns a confirmation of the deletion with the ID of the deleted deposit.

id
string
required

The QuickBooks-assigned unique identifier of the deleted deposit.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_deposit".

Allowed value: "qbd_deposit"
Example:

"qbd_deposit"

deleted
boolean
required

Indicates whether the deposit was deleted.

Example:

true